Loading...
Searching...
No Matches
MainWindowBuilder Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for MainWindowBuilder:

## Public Member Functions

| MainWindowBuilder (const gx_system::CmdlineOptions &options, gx_engine::GxMachineBase &machine)
| ~MainWindowBuilder ()

## Public Attributes

Gxw::PaintBox * | tunerbox
Gtk::Box * | tuner_box_no_rack
Gtk::ScrolledWindow * | vrack_scrolledbox
Gtk::Scrollbar * | monorackscroller
Gtk::Box * | stereorackcontainerH
Gtk::Box * | stereorackcontainerV
Gxw::PaintBox * | rackcontainer
Gtk::ScrolledWindow * | stereorackbox
Gtk::Box * | monocontainer
Gxw::PaintBox * | monoampcontainer
Gtk::Paned * | main_vpaned
Gtk::Box * | monobox
Gtk::Box * | upper_rackbox
Gtk::ScrolledWindow * | preset_scrolledbox
Gtk::Box * | preset_box_no_rack
Gxw::PaintBox * | effects_frame_paintbox
Gtk::Image * | insert_image
Gtk::Image * | status_image
Gtk::Image * | jackd_image
Gtk::Image * | logstate_image
Gtk::Window * | window
Gtk::ToggleButton * | show_rack_button
Gtk::ToggleButton * | rack_order_h_button
Gtk::ToggleButton * | config_mode_button
Gtk::ToggleButton * | liveplay_button
Gtk::ToggleButton * | tuner_button
Gtk::ToggleButton * | effects_button
Gtk::ToggleButton * | presets_button
Gtk::Button * | compress_button
Gtk::Button * | expand_button
Gtk::ToolPalette * | effects_toolpalette
Gxw::PaintBox * | amp_background
Gxw::Switch * | tuner_on_off
Gxw::Selector * | tuner_mode
Gxw::ValueDisplay * | tuner_reference_pitch
Gxw::Selector * | tuner_tuning
Gxw::Selector * | tuner_temperament
Gxw::RackTuner * | racktuner
Gtk::Button * | ampdetail_compress
Gtk::Button * | ampdetail_expand
Gtk::Widget * | ampdetail_mini
Gtk::Widget * | ampdetail_normal
Gxw::FastMeter * | fastmeter [2]
Gtk::Entry * | preset_status
Gtk::MenuBar * | menubar

## Private Member Functions

void | load_widget_pointers ()

## Detailed Description

Definition at line 778 of file gx_main_window.h.

## Constructor & Destructor Documentation

## MainWindowBuilder()

MainWindowBuilder::MainWindowBuilder | ( | const gx_system::CmdlineOptions & | options,
|  | gx_engine::GxMachineBase & | machine )

## ~MainWindowBuilder()

MainWindowBuilder::~MainWindowBuilder | ( |  | ) |

## Member Function Documentation

## load_widget_pointers()

void MainWindowBuilder::load_widget_pointers | ( |  | ) |

private

## Member Data Documentation

## amp_background

Gxw::PaintBox* MainWindowBuilder::amp_background

Definition at line 811 of file gx_main_window.h.

## ampdetail_compress

Gtk::Button* MainWindowBuilder::ampdetail_compress

Definition at line 818 of file gx_main_window.h.

## ampdetail_expand

Gtk::Button* MainWindowBuilder::ampdetail_expand

Definition at line 819 of file gx_main_window.h.

## ampdetail_mini

Gtk::Widget* MainWindowBuilder::ampdetail_mini

Definition at line 820 of file gx_main_window.h.

## ampdetail_normal

Gtk::Widget* MainWindowBuilder::ampdetail_normal

Definition at line 821 of file gx_main_window.h.

## compress_button

Gtk::Button* MainWindowBuilder::compress_button

Definition at line 808 of file gx_main_window.h.

## config_mode_button

Gtk::ToggleButton* MainWindowBuilder::config_mode_button

Definition at line 803 of file gx_main_window.h.

## effects_button

Gtk::ToggleButton* MainWindowBuilder::effects_button

Definition at line 806 of file gx_main_window.h.

## effects_frame_paintbox

Gxw::PaintBox* MainWindowBuilder::effects_frame_paintbox

Definition at line 795 of file gx_main_window.h.

## effects_toolpalette

Gtk::ToolPalette* MainWindowBuilder::effects_toolpalette

Definition at line 810 of file gx_main_window.h.

## expand_button

Gtk::Button* MainWindowBuilder::expand_button

Definition at line 809 of file gx_main_window.h.

## fastmeter

Gxw::FastMeter* MainWindowBuilder::fastmeter[2]

Definition at line 822 of file gx_main_window.h.

## insert_image

Gtk::Image* MainWindowBuilder::insert_image

Definition at line 796 of file gx_main_window.h.

## jackd_image

Gtk::Image* MainWindowBuilder::jackd_image

Definition at line 798 of file gx_main_window.h.

## liveplay_button

Gtk::ToggleButton* MainWindowBuilder::liveplay_button

Definition at line 804 of file gx_main_window.h.

## logstate_image

Gtk::Image* MainWindowBuilder::logstate_image

Definition at line 799 of file gx_main_window.h.

## main_vpaned

Gtk::Paned* MainWindowBuilder::main_vpaned

Definition at line 790 of file gx_main_window.h.

## menubar

Gtk::MenuBar* MainWindowBuilder::menubar

Definition at line 824 of file gx_main_window.h.

## monoampcontainer

Gxw::PaintBox* MainWindowBuilder::monoampcontainer

Definition at line 789 of file gx_main_window.h.

## monobox

Gtk::Box* MainWindowBuilder::monobox

Definition at line 791 of file gx_main_window.h.

## monocontainer

Gtk::Box* MainWindowBuilder::monocontainer

Definition at line 788 of file gx_main_window.h.

## monorackscroller

Gtk::Scrollbar* MainWindowBuilder::monorackscroller

Definition at line 783 of file gx_main_window.h.

## preset_box_no_rack

Gtk::Box* MainWindowBuilder::preset_box_no_rack

Definition at line 794 of file gx_main_window.h.

## preset_scrolledbox

Gtk::ScrolledWindow* MainWindowBuilder::preset_scrolledbox

Definition at line 793 of file gx_main_window.h.

## preset_status

Gtk::Entry* MainWindowBuilder::preset_status

Definition at line 823 of file gx_main_window.h.

## presets_button

Gtk::ToggleButton* MainWindowBuilder::presets_button

Definition at line 807 of file gx_main_window.h.

## rack_order_h_button

Gtk::ToggleButton* MainWindowBuilder::rack_order_h_button

Definition at line 802 of file gx_main_window.h.

## rackcontainer

Gxw::PaintBox* MainWindowBuilder::rackcontainer

Definition at line 786 of file gx_main_window.h.

## racktuner

Gxw::RackTuner* MainWindowBuilder::racktuner

Definition at line 817 of file gx_main_window.h.

## show_rack_button

Gtk::ToggleButton* MainWindowBuilder::show_rack_button

Definition at line 801 of file gx_main_window.h.

## status_image

Gtk::Image* MainWindowBuilder::status_image

Definition at line 797 of file gx_main_window.h.

## stereorackbox

Gtk::ScrolledWindow* MainWindowBuilder::stereorackbox

Definition at line 787 of file gx_main_window.h.

## stereorackcontainerH

Gtk::Box* MainWindowBuilder::stereorackcontainerH

Definition at line 784 of file gx_main_window.h.

## stereorackcontainerV

Gtk::Box* MainWindowBuilder::stereorackcontainerV

Definition at line 785 of file gx_main_window.h.

## tuner_box_no_rack

Gtk::Box* MainWindowBuilder::tuner_box_no_rack

Definition at line 781 of file gx_main_window.h.

## tuner_button

Gtk::ToggleButton* MainWindowBuilder::tuner_button

Definition at line 805 of file gx_main_window.h.

## tuner_mode

Gxw::Selector* MainWindowBuilder::tuner_mode

Definition at line 813 of file gx_main_window.h.

## tuner_on_off

Gxw::Switch* MainWindowBuilder::tuner_on_off

Definition at line 812 of file gx_main_window.h.

## tuner_reference_pitch

Gxw::ValueDisplay* MainWindowBuilder::tuner_reference_pitch

Definition at line 814 of file gx_main_window.h.

## tuner_temperament

Gxw::Selector* MainWindowBuilder::tuner_temperament

Definition at line 816 of file gx_main_window.h.

## tuner_tuning

Gxw::Selector* MainWindowBuilder::tuner_tuning

Definition at line 815 of file gx_main_window.h.

## tunerbox

Gxw::PaintBox* MainWindowBuilder::tunerbox

Definition at line 780 of file gx_main_window.h.

## upper_rackbox

Gtk::Box* MainWindowBuilder::upper_rackbox

Definition at line 792 of file gx_main_window.h.

## vrack_scrolledbox

Gtk::ScrolledWindow* MainWindowBuilder::vrack_scrolledbox

Definition at line 782 of file gx_main_window.h.

## window

Gtk::Window* MainWindowBuilder::window

Definition at line 800 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h